cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/vector_stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_ids": [
"<string>"
],
"name": "<string>",
"chunking_strategy": {
"type": "auto"
},
"metadata": {}
}
'import requests
url = "https://aigw.portkey.ai/v1/vector_stores"
payload = {
"file_ids": ["<string>"],
"name": "<string>",
"chunking_strategy": { "type": "auto" },
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_ids: ['<string>'],
name: '<string>',
chunking_strategy: {type: 'auto'},
metadata: {}
})
};
fetch('https://aigw.portkey.ai/v1/vector_stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "vector_store",
"created_at": 123,
"name": "<string>",
"usage_bytes": 123,
"file_counts": {
"in_progress": 123,
"completed": 123,
"failed": 123,
"cancelled": 123,
"total": 123
},
"status": "expired",
"last_active_at": 123,
"metadata": {},
"expires_after": {
"anchor": "last_active_at",
"days": 183
},
"expires_at": 123
}Create vector store
POST
/
vector_stores
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Available options:
vector_store Show child attributes
Show child attributes
Available options:
expired, in_progress, completed Show child attributes
Show child attributes
Last modified on September 17, 2026
Was this page helpful?

